<template>
  <NavHeader></NavHeader>
  <PageTitle>your latest game:</PageTitle>
  <GameBox :game="game" v-if="game"></GameBox>
</template>

<script>
import NavHeader from "./organisms/NavHeader.vue";
import PageTitle from "./atoms/PageTitle.vue";
import GameBox from "./organisms/GameBox.vue";
import axios from "axios";
import store from "../store/auth";

export default {
  components: { NavHeader, PageTitle, GameBox },
  data() {
    return {
      game: {
        player: {},
      },
      test: "",
    };
  },
  async created() {
    store.commit("general/setLoading", true);
    await this.getGame();
    document.title = "Home";
    store.commit("general/setLoading", false);
  },
  methods: {
    async getGame() {
      this.game = (await axios.get("/api/games/1")).data.data;
      return;
    },
    getFakeGame() {
      setTimeout(() => {
        this.game = {
          id: 1,
          name: "fake",
          state: "Created",
          endDate: null,
          method_id: 1,
          created_at: null,
          updated_at: null,
          playerCount: 1,
        };
      }, 2000);
    },
  },
};
</script>

<style lang="scss"></style>
